@echo off
cls

:: Customize VMs
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET DebugLog=YES
SET AllowChoice=NO
SET CourseID=70667TK
SET MachineRole=%COMPUTERNAME%

echo Customize %MachineRole%
echo =============================================================================
echo.
echo Requirements:
echo Script must be executed by the local Administrator 
echo or with the Run As Administrator option
echo.

:: CHOICE /T 10 /D Y /M "Are all requirements met? Do you want to continue"
:: IF ERRORLEVEL 2 GOTO :EOF
:: echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo SCRIPT: %0 >> %LOGFILE%
echo DATE:   %DATE% %TIME% >> %LOGFILE%
echo USER:   %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

echo Calling _All_MachineConfig
echo Calling _All_MachineConfig >> %LOGFILE%
echo.
call "%~dp0_Machine\_All_MachineConfig.bat"

echo.
echo Calling _All_UserConfig
echo Calling _All_UserConfig >> %LOGFILE%
echo.
call "%~dp0_User\_All_UserConfig.bat"

IF NOT %COMPUTERNAME%==CONTOSO-DC GOTO SkipDomain
echo.
echo Calling 01 Populate Domain Users and Groups
echo Calling 01 Populate Domain Users and Groups >> %LOGFILE%
echo.
call "%~dp0_Domain\01 Populate Domain Users and Groups.bat"

:SkipDomain

echo.
echo Script will shut down the computer to complete the process

:Review
echo =============================================================================
echo COMPLETE
:: Reset ERRORLEVEL to 0
verify >nul
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause to review"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
echo.
pause
echo Shutting down...
echo Shut down >> %LOGFILE%
shutdown /t 0 /s

GOTO :EOF