@echo off
:: cls

:: User Experience Customizations
:: by Dan Holme
::
:: The script is provided AS-IS
:: with no warranty expressed or implied
:: Use only in a test environment, at your own risk
::
:: (c) 2010 Intelliem, Inc.
::
:: This script may be used only as directed by the
:: Lab Environment Build Guide
:: that accompanies the 70-667 Training Kit
:: published by Microsoft Press.
:: The script may be used only in conjunction with 
:: study of the Training Kit
::
:: Contact dan.holme@intelliem.com for more information
::

SET CourseID=70667TK
SET DebugLog=YES
SET AllowChoice=NO
SET MachineRole=%COMPUTERNAME%

echo USER CONFIGURATION
echo =============================================================================
echo.
echo Requirements:
echo Script must be executed by the local Administrator 
echo or with the Run As Administrator option
echo.

IF x%CourseID%x==xx SET /p CourseID=Course ID: 
SET VMNAME=%CourseID%-%MachineRole%
IF %DebugLog%==YES SET LOGFILE=C:\%VMNAME%-SetupLog.txt
IF NOT %DebugLog%==YES SET LOGFILE=nul:
echo ======================================== >> %LOGFILE%
echo SCRIPT: %0 >> %LOGFILE%
echo DATE:   %DATE% %TIME% >> %LOGFILE%
echo USER:   %USERNAME% >> %LOGFILE%
echo ======================================== >> %LOGFILE%

pushd "%~dp0"
GOTO Load_Default_Profile

:Load_Default_Profile
SET LogStep=Load DEFAULT USER registry hive
reg load HKU\DefaultUser c:\users\default\NTUSER.DAT 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

echo ----------------------------------------------------------------------
SET LogStep=START ALL USERS: Subsequent changes affect all users
echo %LogStep% & echo %LogStep% >> %LOGFILE%
echo.

:IE_HomePage_Intranet_Default
SET LogStep=Set IE home page to intranet.contoso.com
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO IE_IntranetZone_Contoso_Default
regedit /s "%~dp0IE_HomePage_Intranet_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:IE_IntranetZone_Contoso_Default
SET LogStep=Add contoso.com to the IE intranet sites security zone
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO KeyboardLayouts_Default
regedit /s "%~dp0IE_IntranetZone_Contoso_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Office2010_FirstRun_Disable_Default
SET LogStep=Prevent Office 2010 first run (RunOnce) prompts and processes
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO Performance_VisualEffects_Disable
regedit /s "%~dp0Office2010_FirstRun_Disable_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Performance_VisualEffects_Disable
SET LogStep=Disable Explorer visual effects (Adjust for best performance)
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO ServerManager_Startup_Disable_Default
regedit /s "%~dp0Performance_VisualEffects_Disable.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:ServerManager_Startup_Disable_Default
SET LogStep=Prevent Server Manager from opening at logon
IF %AllowChoice%==YES CHOICE /T 5 /D Y /M "%LogStep%"
IF ERRORLEVEL 2 GOTO ZoomIt_EULA_Default
regedit /s "%~dp0ServerManager_Startup_Disable_Default.reg" 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Review_HKU
SET LogStep=END ALL USERS
echo %LogStep%
echo ----------------------------------------------------------------------
echo.
echo %LogStep% >> %LOGFILE%
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause to examine HKU\DefaultUser"
IF ERRORLEVEL 1 pause
GOTO Unload_DefaultUser

:Unload_DefaultUser
echo.
SET LogStep=Unloading Default User registry hive
reg unload HKU\DefaultUser 1> nul:
IF %ERRORLEVEL%==0 echo %LogStep% & echo %LogStep%  >> %LOGFILE%

:Review
echo ======================================================================
echo USER CONFIGURATION COMPLETE
IF %AllowChoice%==YES CHOICE /T 10 /D N /M "Pause to review"
IF ERRORLEVEL 2 GOTO End
IF %AllowChoice%==NO GOTO End
pause

:End
popd
GOTO :EOF